# CraftPresence

## [v2.0.0+Beta.5](https://github.com/CDAGaming/CraftPresence-Wow-Edition/tree/v2.0.0+Beta.5) (2022-04-30)
[Full Changelog](https://github.com/CDAGaming/CraftPresence-Wow-Edition/compare/v2.0.0+Beta.4...v2.0.0+Beta.5) [Previous Releases](https://github.com/CDAGaming/CraftPresence-Wow-Edition/releases)

- [Change] Adjusted the default Delay Settings to allow for quicker events  
    - Callback Delay now defaults to 1 second instead of 2.  
    - The minimum delay allowed for frame clearing is now 3 instead of 5 (The old minimum is now the new default).  
    - The maximum callback delay allowed is now 5 rather then 30 (Seriously, in what world is sending an event 30 seconds after useful for an addon meant to show this quickly?!)  
- [Change] Bumped Script to v1.5.3  
    Notes:  
     - Fixed an issue where, if a malformed client ID is read, it will continue to try and read that same malformed ID (Causing log spam and requiring the user to restart the script). To avoid this, the script will now discard the event and the rpc object and relaunch the loop after `refresh\_rate` has passed.  
     - Adjusted the ending portion of the script loop to use `scan\_rate` instead of `refresh\_rate` (As a result, `scan\_rate` has been increased to every 3 seconds instead of every second)  
- [Change] Adjusted the tooltips for the Delay settings to be more clear  
- [Change] Mark Range Values of 0 and below as unsafe  
    - Further research into testing quicker timings for the Rich Presence, have yielded that specifically a Callback Delay of 0 will not give the wow api enough time to update, causing desync rich presence states. A warning will now be shown when the value is being set to ensure players are aware of this, as not all parts of the Rich Presence can desync, just some portions.  
- [Refactor] Added `PrintWarningMessage` for some small cleanups  
